### Method

# Adw Flap get_transition_type

#### Declaration [src]

    AdwFlapTransitionType
    adw_flap_get_transition_type (
      AdwFlap* self
    )

#### Description [src]

Gets the type of animation used for reveal and fold transitions in `self`.

Available since: | 1.0

Gets property | `Adw.Flap:transition-type`

#### Return value

Returns: | `AdwFlapTransitionType`
| The current transition type of `self`.